| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::wrapperlib Class Reference
Private

this class encapsulates calls to libz or libbz2 More...

`#include <wrapperlib.hpp>`

## Public Member Functions
| wrapperlib (wrapperlib_mode mode)
| wrapperlib (const wrapperlib &ref)=delete
| wrapperlib (wrapperlib &&ref) noexcept=delete
wrapperlib & | operator= (const wrapperlib &ref)=delete
wrapperlib & | operator= (wrapperlib &&ref) noexcept=delete
void | set_next_in (const char *x)
void | set_avail_in (U_I x)
U_I | get_avail_in () const
U_64 | get_total_in () const
void | set_next_out (char *x)
char * | get_next_out () const
void | set_avail_out (U_I x)
U_I | get_avail_out () const
U_64 | get_total_out () const
S_I | compressInit (U_I compression_level)
S_I | decompressInit ()
S_I | compressEnd ()
S_I | decompressEnd ()
S_I | compress (S_I flag)
S_I | decompress (S_I flag)
S_I | compressReset ()
S_I | decompressReset ()
| wrapperlib (wrapperlib_mode mode)
| wrapperlib (const wrapperlib &ref)=delete
| wrapperlib (wrapperlib &&ref) noexcept=delete
wrapperlib & | operator= (const wrapperlib &ref)=delete
wrapperlib & | operator= (wrapperlib &&ref) noexcept=delete
void | set_next_in (const char *x)
void | set_avail_in (U_I x)
U_I | get_avail_in () const
U_64 | get_total_in () const
void | set_next_out (char *x)
char * | get_next_out () const
void | set_avail_out (U_I x)
U_I | get_avail_out () const
U_64 | get_total_out () const
S_I | compressInit (U_I compression_level)
S_I | decompressInit ()
S_I | compressEnd ()
S_I | decompressEnd ()
S_I | compress (S_I flag)
S_I | decompress (S_I flag)
S_I | compressReset ()
S_I | decompressReset ()

## Private Attributes
S_I | level
void(wrapperlib::* | x_set_next_in )(const char *x)
void(wrapperlib::* | x_set_avail_in )(U_I x)
U_I(wrapperlib::* | x_get_avail_in )() const
U_64(wrapperlib::* | x_get_total_in )() const
void(wrapperlib::* | x_set_next_out )(char *x)
char *(wrapperlib::* | x_get_next_out )() const
void(wrapperlib::* | x_set_avail_out )(U_I x)
U_I(wrapperlib::* | x_get_avail_out )() const
U_64(wrapperlib::* | x_get_total_out )() const
S_I(wrapperlib::* | x_compressInit )(U_I compression_level)
S_I(wrapperlib::* | x_decompressInit )()
S_I(wrapperlib::* | x_compressEnd )()
S_I(wrapperlib::* | x_decompressEnd )()
S_I(wrapperlib::* | x_compress )(S_I flag)
S_I(wrapperlib::* | x_decompress )(S_I flag)

## Detailed Description

this class encapsulates calls to libz or libbz2

this is mainly an adaptation of libbz2 specificities to have libb2 acting exactly as libz does.

Definition at line 74 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## Member Function Documentation

## ◆ compress() [1/2]

S_I libdar::wrapperlib::compress | ( | S_I | flag | ) |
| inline

Definition at line 99 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ compress() [2/2]

S_I libdar::wrapperlib::compress | ( | S_I | flag | ) |
| inline

Definition at line 99 of file src/libdar/wrapperlib.hpp.

## ◆ compressEnd() [1/2]

S_I libdar::wrapperlib::compressEnd | ( |  | ) |
| inline

Definition at line 97 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ compressEnd() [2/2]

S_I libdar::wrapperlib::compressEnd | ( |  | ) |
| inline

Definition at line 97 of file src/libdar/wrapperlib.hpp.

## ◆ compressInit() [1/2]

S_I libdar::wrapperlib::compressInit | ( | U_I | compression_level | ) |
| inline

Definition at line 95 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ compressInit() [2/2]

S_I libdar::wrapperlib::compressInit | ( | U_I | compression_level | ) |
| inline

Definition at line 95 of file src/libdar/wrapperlib.hpp.

## ◆ decompress() [1/2]

S_I libdar::wrapperlib::decompress | ( | S_I | flag | ) |
| inline

Definition at line 100 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ decompress() [2/2]

S_I libdar::wrapperlib::decompress | ( | S_I | flag | ) |
| inline

Definition at line 100 of file src/libdar/wrapperlib.hpp.

## ◆ decompressEnd() [1/2]

S_I libdar::wrapperlib::decompressEnd | ( |  | ) |
| inline

Definition at line 98 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ decompressEnd() [2/2]

S_I libdar::wrapperlib::decompressEnd | ( |  | ) |
| inline

Definition at line 98 of file src/libdar/wrapperlib.hpp.

## ◆ decompressInit() [1/2]

S_I libdar::wrapperlib::decompressInit | ( |  | ) |
| inline

Definition at line 96 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ decompressInit() [2/2]

S_I libdar::wrapperlib::decompressInit | ( |  | ) |
| inline

Definition at line 96 of file src/libdar/wrapperlib.hpp.

## ◆ get_avail_in() [1/2]

U_I libdar::wrapperlib::get_avail_in | ( |  | ) | const
| inline

Definition at line 86 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ get_avail_in() [2/2]

U_I libdar::wrapperlib::get_avail_in | ( |  | ) | const
| inline

Definition at line 86 of file src/libdar/wrapperlib.hpp.

## ◆ get_avail_out() [1/2]

U_I libdar::wrapperlib::get_avail_out | ( |  | ) | const
| inline

Definition at line 92 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ get_avail_out() [2/2]

U_I libdar::wrapperlib::get_avail_out | ( |  | ) | const
| inline

Definition at line 92 of file src/libdar/wrapperlib.hpp.

## ◆ get_next_out() [1/2]

char * libdar::wrapperlib::get_next_out | ( |  | ) | const
| inline

Definition at line 90 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ get_next_out() [2/2]

char * libdar::wrapperlib::get_next_out | ( |  | ) | const
| inline

Definition at line 90 of file src/libdar/wrapperlib.hpp.

## ◆ get_total_in() [1/2]

U_64 libdar::wrapperlib::get_total_in | ( |  | ) | const
| inline

Definition at line 87 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ get_total_in() [2/2]

U_64 libdar::wrapperlib::get_total_in | ( |  | ) | const
| inline

Definition at line 87 of file src/libdar/wrapperlib.hpp.

## ◆ get_total_out() [1/2]

U_64 libdar::wrapperlib::get_total_out | ( |  | ) | const
| inline

Definition at line 93 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ get_total_out() [2/2]

U_64 libdar::wrapperlib::get_total_out | ( |  | ) | const
| inline

Definition at line 93 of file src/libdar/wrapperlib.hpp.

## ◆ set_avail_in() [1/2]

void libdar::wrapperlib::set_avail_in | ( | U_I | x | ) |
| inline

Definition at line 85 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ set_avail_in() [2/2]

void libdar::wrapperlib::set_avail_in | ( | U_I | x | ) |
| inline

Definition at line 85 of file src/libdar/wrapperlib.hpp.

## ◆ set_avail_out() [1/2]

void libdar::wrapperlib::set_avail_out | ( | U_I | x | ) |
| inline

Definition at line 91 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ set_avail_out() [2/2]

void libdar::wrapperlib::set_avail_out | ( | U_I | x | ) |
| inline

Definition at line 91 of file src/libdar/wrapperlib.hpp.

## ◆ set_next_in() [1/2]

void libdar::wrapperlib::set_next_in | ( | const char * | x | ) |
| inline

Definition at line 84 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ set_next_in() [2/2]

void libdar::wrapperlib::set_next_in | ( | const char * | x | ) |
| inline

Definition at line 84 of file src/libdar/wrapperlib.hpp.

## ◆ set_next_out() [1/2]

void libdar::wrapperlib::set_next_out | ( | char * | x | ) |
| inline

Definition at line 89 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ set_next_out() [2/2]

void libdar::wrapperlib::set_next_out | ( | char * | x | ) |
| inline

Definition at line 89 of file src/libdar/wrapperlib.hpp.

## Member Data Documentation

## ◆ level

S_I libdar::wrapperlib::level
| private

Definition at line 115 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_compress

S_I(wrapperlib::* libdar::wrapperlib::x_compress)(S_I flag)
| private

Definition at line 132 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_compressEnd

S_I(wrapperlib::* libdar::wrapperlib::x_compressEnd)()
| private

Definition at line 130 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_compressInit

S_I(wrapperlib::* libdar::wrapperlib::x_compressInit)(U_I compression_level)
| private

Definition at line 128 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_decompress

S_I(wrapperlib::* libdar::wrapperlib::x_decompress)(S_I flag)
| private

Definition at line 133 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_decompressEnd

S_I(wrapperlib::* libdar::wrapperlib::x_decompressEnd)()
| private

Definition at line 131 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_decompressInit

S_I(wrapperlib::* libdar::wrapperlib::x_decompressInit)()
| private

Definition at line 129 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_get_avail_in

U_I(wrapperlib::* libdar::wrapperlib::x_get_avail_in)() const
| private

Definition at line 119 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_get_avail_out

U_I(wrapperlib::* libdar::wrapperlib::x_get_avail_out)() const
| private

Definition at line 125 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_get_next_out

char *(wrapperlib::* libdar::wrapperlib::x_get_next_out)() const
| private

Definition at line 123 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_get_total_in

U_64(wrapperlib::* libdar::wrapperlib::x_get_total_in)() const
| private

Definition at line 120 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_get_total_out

U_64(wrapperlib::* libdar::wrapperlib::x_get_total_out)() const
| private

Definition at line 126 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_set_avail_in

void(wrapperlib::* libdar::wrapperlib::x_set_avail_in)(U_I x)
| private

Definition at line 118 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_set_avail_out

void(wrapperlib::* libdar::wrapperlib::x_set_avail_out)(U_I x)
| private

Definition at line 124 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_set_next_in

void(wrapperlib::* libdar::wrapperlib::x_set_next_in)(const char *x)
| private

Definition at line 117 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

## ◆ x_set_next_out

void(wrapperlib::* libdar::wrapperlib::x_set_next_out)(char *x)
| private

Definition at line 122 of file dar64-2.8.3-win64/include/dar/wrapperlib.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/wrapperlib.hpp
- src/libdar/wrapperlib.hpp